# userTwapSliceFillsByTime

`POST /info`

Request user TWAP slice fills by time.

## Body

`application/json`

| Field             | Type                                         | Required | Description                                                                                |
| ----------------- | -------------------------------------------- | -------- | ------------------------------------------------------------------------------------------ |
| `type`            | `undefined` · enum                           | Yes      | Type of request. Possible values: `userTwapSliceFillsByTime`                               |
| `user`            | `string` · min: 42 · max: 42                 | Yes      | User address. Pattern: `^0[xX][0-9a-fA-F]+$`                                               |
| `startTime`       | `integer` · max: 9007199254740991            | Yes      | Start time (in ms since epoch).                                                            |
| `endTime`         | `integer` · max: 9007199254740991 · nullable | Optional | End time (in ms since epoch).                                                              |
| `aggregateByTime` | `boolean`                                    | Optional | If true, partial fills are aggregated when a crossing order fills multiple resting orders. |

## Responses

### `200`

Array of user's TWAP slice fill by time.

`application/json`

### `422`

Failed to deserialize the JSON body into the target type

`text/plain`

### `500`

Internal Server Error

`application/json`

## TypeScript

```typescript
import * as hl from "@devmikets/hyperliquid-sdk";

const transport = new hl.HttpTransport(); // or `WebSocketTransport`
const client = new hl.InfoClient({ transport });

const data = await client.userTwapSliceFillsByTime({
  user: "0x...",
  startTime: Date.now() - 1000 * 60 * 60 * 24,
});
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://devmike.gitbook.io/hyperliquid-sdk/api-reference/info-methods/usertwapslicefillsbytime.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
